# Installation

1\) Download your script from <https://keymaster.fivem.net> and place it inside your resource folder.\
\
2\) Download [ox\_lib](https://github.com/overextended/ox_lib/releases/) *(not source code)* and start it before my scripts in server.cfg\
\
3\) Make sure you are using **game build 2545** or newer..\
\
4\) Go to **Config > Config.lua** and setup your Framework in **Config.Framework** option.\
\
5\) Go to your Framework functions file and replace the following functions:

**For QBCore:**

```lua
-- Go to qb-core/client/functions.lua
-- Search the function QBCore.Functions.GetVehicleProperties (line 414 - 560) and delete it.
-- Search the function QBCore.Functions.SetVehicleProperties (line 562 - 854) delete it too.
-- Place this two exports in the file and save it:

function QBCore.Functions.GetVehicleProperties(vehicle)
    return exports['av_tuning']:GetVehicleProperties(vehicle)
end

function QBCore.Functions.SetVehicleProperties(vehicle, props)
    return exports['av_tuning']:SetVehicleProperties(vehicle, props)
end
```

**For ESX:**

```lua
-- Go to es_extended/client/functions.lua
-- Search and delete the function ESX.Game.GetVehicleProperties (line 596 - 745)
-- Search and delete the function ESX.Game.SetVehicleProperties (line 747 - 999)
-- Place this two exports in the file and save it

function ESX.Game.GetVehicleProperties(vehicle)
    return exports['av_tuning']:GetVehicleProperties(vehicle)
end

function ESX.Game.SetVehicleProperties(vehicle, props)
    return exports['av_tuning']:SetVehicleProperties(vehicle, props)
end
```

#### For Qbox:

```lua
-- Go to ox_lib/resource/vehicleProperties/client.lua
-- Search and delete the function lib.getVehicleProperties (line 139 - 294)
-- Search and delete the function lib.setVehicleProperties (line 300 - 656)
-- Place this two exports in the file and save it

function lib.getVehicleProperties(vehicle)
    return exports['av_tuning']:GetVehicleProperties(vehicle)
end

function lib.setVehicleProperties(vehicle, props)
    return exports['av_tuning']:SetVehicleProperties(vehicle, props)
end
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.av-scripts.com/guides/tuning-script/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
